<?php
/*
Widget: Hex Review Listing
*/

class hex_review_widget extends WP_Widget {
	public function __construct() {
		$widget_options = array( 'classname' => 'hex_review_widget', 'description' => 'Geef je review cijfer weer op de website' );
		parent::__construct( 'hex_review_widget', 'Hex review', $widget_options );
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance[ 'title' ] );

		echo $args['before_widget'];

		if(!empty($title)){
			echo $args['before_title'] . $title . $args['after_title'];
		}
		
		echo do_shortcode('[hex_review]');

		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : 'Ons cijfer';
		echo'
		<p>
			<label for="'.$this->get_field_id( 'title' ).'">Title:</label>
			<input type="text" id="'.$this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" value="'.esc_attr( $title ).'" />
		</p>';
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
		return $instance;
	}

}

// Register the widget.
function hex_review_widget_register() { 
  register_widget( 'hex_review_widget' );
}
add_action( 'widgets_init', 'hex_review_widget_register' );

?>